<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_news.dashboard.main_headings')"
  [settingsPageRoute]="'./settings'"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <lib-refresher (ionRefresh)="doRefresh($event)"></lib-refresher>

  <ion-grid class="ion-no-padding" id="mainNews">
    <ion-col
      *ngIf="displayNoInterestsSelectedError || displayConnectivityError"
      class="flex-list-feed-items"
    >
      <lib-no-interests-selected-card
        [show]="displayNoInterestsSelectedError"
      ></lib-no-interests-selected-card>
      <lib-connectivity-error-handling-card
        [show]="displayConnectivityError"
        [title]="t('feature_news.connectivity-error.title_dashboard')"
      ></lib-connectivity-error-handling-card>
      <lib-update-notifier></lib-update-notifier>
    </ion-col>
    <ion-row aria-atomic="true" aria-live="polite" class="flex-list-feed-items">
      <ion-col *ngFor="let feedItem of feedItems" [size]="12">
        <ng-container
          *ngComponentOutlet="
            feedItem.cardComponent;
            inputs: { feedItem: feedItem }
          "
        />
      </ion-col>
      <ng-container
        *ngIf="!contentLoadingComplete"
        class="ion-justify-content-center flex-list-feed-items"
      >
        <ion-col *ngFor="let _ of [].constructor(7); let i = index" [size]="12">
          <lib-skeleton-feed-card></lib-skeleton-feed-card>
        </ion-col>
        <lib-new-content-text></lib-new-content-text>
      </ng-container>
    </ion-row>
    <ion-infinite-scroll
      (ionInfinite)="loadMoreFeedItems($event)"
      *ngIf="
        feedItems.length > 0 && moreContentAvailable && contentLoadingComplete
      "
    >
      <ion-infinite-scroll-content></ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-grid>
</lib-condensed-header-layout>
